Skip to main content
GET
Retrieve review
This page documents the Legacy API. For new integrations, use Retrieve review in the Current API.

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Path Parameters

id
string
required

The unique identifier of the review to retrieve.

Example:

"rev_xxxxxxxxxxxxxx"

Response

A successful response

A user-submitted review of a company, including a star rating and optional text feedback.

attachments
object[]
required

A list of files and media attached to the review.

company
object
required

The company that this review was written for.

created_at
string<date-time>
required

The datetime the review was created.

Example:

"2023-12-01T05:00:00.401Z"

description
string | null
required

The body text of the review containing the user's detailed feedback. Returns an empty string if no description was provided.

Example:

"Great product, really helped me grow my audience."

id
string
required

The unique identifier for the review.

Example:

"rev_xxxxxxxxxxxxxx"

joined_at
string<date-time> | null
required

The timestamp of when the reviewer first joined the product. Null if unknown.

Example:

"2023-12-01T05:00:00.401Z"

paid_for_product
boolean | null
required

Whether the reviewer paid for the product. Null if the payment status is unknown.

product
object
required

The product that this review was written for.

published_at
string<date-time> | null
required

The timestamp of when the review was published. Null if the review has not been published yet.

Example:

"2023-12-01T05:00:00.401Z"

stars
integer
required

The star rating given by the reviewer, from 1 to 5.

Example:

42

status
enum<string>
required

The current moderation status of the review.

Available options:
pending,
published,
removed
title
string | null
required

A short summary title for the review. Null if the reviewer did not provide one.

Example:

"Amazing community and tools"

updated_at
string<date-time>
required

The datetime the review was last updated.

Example:

"2023-12-01T05:00:00.401Z"

user
object
required

The user account of the person who wrote this review.